.\" $NetBSD: usermgmt.conf.5,v 1.6 2009/12/31 19:59:31 mlelstv Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This document is derived from works contributed to The NetBSD Foundation
.\" by Grant Beattie.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd December 31, 2009
.Dt USERMGMT.CONF 5
.Os
.\" turn off hyphenation
.hym 999
.Sh NAME
.Nm usermgmt.conf
.Nd user management tools configuration file
.Sh SYNOPSIS
.Nm usermgmt.conf
.Sh DESCRIPTION
The
.Nm usermgmt.conf
file defines the default values used by the user management tools,
.Xr useradd 8
and friends.
.Pp
Options in this file can be set by manually editing
.Pa /etc/usermgmt.conf
or using the
.Fl D
option to
.Xr useradd 8 .
.Pp
.Bl -tag -width preserveX
.It Ic base_dir
sets the base directory name, in which new users' home directories
are created when using the
.Fl m
option to
.Xr useradd 8 .
.It Ic class
sets the default login class for new users.
See
.Xr login.conf 5
for more information on user login classes.
.It Ic expire
sets the default time at which the current password expires.
This can be used to implement password aging.
Both the
.Ar expire
and
.Ar inactive
fields should be entered in the form
.Dq month day year ,
where month is the month name (the first three characters are
sufficient), day is the day of the month, and year is the year.
Time in seconds since the epoch (UTC) is also valid.
A value of 0 can be used to disable this feature.
.It Ic group
sets the default primary group for new users.
If this is
.Ql =uid ,
then a uid and gid will be picked which are both unique
and the same, and a line will be added to
.Pa /etc/group
to describe the new group.
It has the format:
.br
.Bd -ragged -offset indent -compact
.Ic group
.Ar gid | name | Li =uid
.Ed
.It Ic homeperm
sets the default permissions of the newly created home directory if
.Fl m
is given to
.Xr useradd 8 .
The permission is specified as an octal number, with or without a leading zero.
.It Ic inactive
sets the default time at which new accounts expire.
A value of 0 can be used to disable this feature.
Also see the
.Ar expire
field.
.It Ic password
specifies an already-encrypted default password.
.It Ic preserve
If this value is one of
.Ql true ,
.Ql yes ,
or a non-zero number, then the user login information will be
preserved when removing a user with
.Xr userdel 8 .
.It Ic range
specifies the uid boundaries for new users.
If unspecified, the default is
.Dq 1000..60000 .
It has the format:
.Bd -unfilled -offset indent -compact
.Ic range Ar starting-uid Ns Li .. Ns Ar ending-uid
.Ed
.It Ic gid_range
specifies the gid boundaries for new groups.
If unspecified, the default is
.Dq 1000..60000 .
It has the format:
.Bd -unfilled -offset indent -compact
.Ic gid_range Ar starting-gid Ns Li .. Ns Ar ending-gid
.Ed
.It Ic shell
sets the default login shell for new users.
.It Ic skel_dir
sets the default skeleton directory in which to find files
with which to populate the new user's home directory.
.El
.Sh FILES
.Bl -tag -width /etc/usermgmt.conf -compact
.It Pa /etc/usermgmt.conf
.It Pa /etc/skel/*
.It Pa /etc/login.conf
.El
.Sh SEE ALSO
.Xr login.conf 5 ,
.Xr passwd 5 ,
.Xr user 8 ,
.Xr useradd 8 ,
.Xr userdel 8 ,
.Xr usermod 8
.Sh HISTORY
The
.Nm
configuration file first appeared in
.Nx 1.5 .
